#include<bits/stdc++.h>
using namespace std;
bool used[21];
std::vector<int> solve(std::vector<int> A) {
int n=A.size();
int best=0;
int diff=INT_MAX;
int all=0;
 for(auto x:A) {
      all+=x;
 }
 if(all%2==1) {
      all=all/2+1;
 }
 else {
      all=all/2;
 }
for(int i=1; i<(1<<20); i++) {
      long long    int sum=0;
      int br=0;
      for(int j=0; j<20; j++) {
          bool bit=(i&(1<<j));
          if(bit) {
                  sum+=A[j];
                  br++;
          }
      }
      if(sum>=all) {
        if(diff>abs(br-(n-br))) {
           diff=abs(br-(n-br));
           best=i;
        }
      }
}
vector<int>k;
for(int i=0; i<20; i++) {
    bool bit=(best&(1<<i));
    if(bit) {
     k.push_back(i);
     used[i]=true;
    }
}
for(int i=0; i<20; i++) {
       if(!used[i]) {
          k.push_back(i);
       }
}
return k;
}

